Qore SqlUtil Module Reference 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Public Member Functions | Public Attributes | List of all members
SqlUtil::NumericColumnInfo Class Reference

the base class to use to extend AbstractColumn to implement numeric columns More...

## Public Member Functions
string | getNativeTypeString (string native_type, int precision)
| returns the string describing the native type that can be used in SQL (for example to add the column to a table or when creating the table)

## Public Attributes
int | scale
| the scale for numeric columns

## Detailed Description

the base class to use to extend AbstractColumn to implement numeric columns